Bug 844987 - Changelog is not updated with pending flags when brick is up but the fd fails to open.
Changelog is not updated with pending flags when brick is up but the fd fails...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
SATHEESARAN
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 08:09 EDT by Pranith Kumar K
Modified: 2013-07-24 13:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:53:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs 3.3 Master - built on Aug 9 2012 11:40:24
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2012-08-01 08:09:06 EDT
Description of problem:
When an fd is opened while a brick is down, after the brick
    comes back up afr issues open on the other brick. It can
    fail for a number of reasons (enoent etc). While the system
    is in that state, inode/entrylks pre-op happen only on the
    brick that is up and fd is opened for fd-fops. post-op should
    consider only the bricks where both pre-op and fop succeeded
    as success, rest of them as failures. Code now marks only the
    children that are down as failures as opposed to child_down &
    fd-not-opened. This makes change-log appear as success on the
    subvolume where we did not do any fop leading to no change-log
    but differences in data/metadata for reg-files.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 SATHEESARAN 2012-08-09 03:08:04 EDT
Verified this bug with the glusterfs version 3.3 built on Aug  9 2012 11:40:24

-- Satheesaran
Comment 2 Vijay Bellur 2012-08-17 04:14:53 EDT
CHANGE: http://review.gluster.com/3776 (cluster/afr: Handle child_up & fd not opened case in xaction) merged in release-3.3 by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.